import { Component, Input, OnInit } from '@angular/core';
import { NewsService } from '../news.service';

@Component({
	selector: 'app-news',
	templateUrl: './news.component.html',
	styleUrls: ['./news.component.css']
})

export class NewsComponent implements OnInit {
	query: string;
	news: any;

	constructor(private newsService: NewsService) { }

	ngOnInit() {
	}

	getNews() {
		console.log(this.news);
		this.newsService.getNews(this.query)
			.subscribe(articles => {
				this.news = articles;
			});
	}

	displayNews() {

	}

}
