package com.stockr.server.news;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;

@RestController
@RequestMapping("news")
public class NewsController {
    @Autowired
    NewsService ns;

    @GetMapping// root
    public ArrayList<Article> getAllArticles(@RequestParam("query") String query){
        return ns.getAllArticles(query);
    }
}
