package com.stockr.server.news;

import com.fasterxml.jackson.databind.ObjectMapper;
import org.junit.Test;

import java.io.IOException;

import static org.junit.Assert.*;

public class ArticleTest {
    @Test
    public void unpackSource_ShouldGetNestedValues() throws IOException {
        ObjectMapper om = new ObjectMapper();
        String JSON = "{\"source\":" +
                        " {\"id\": \"ID\"," +
                        " \"name\": \"NAME\"}" +
                      "}";

        Article a = om.readValue(JSON, Article.class);
        assertEquals("ID", a.getSourceId());
        assertEquals("NAME", a.getSourceName());
    }
}