import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

import { SearchService } from './search.service';

@Injectable({
	providedIn: 'root'
})

export class StocksService {

	constructor(
		private http: HttpClient,
		private searchService: SearchService
	) { }

	getStocks(ticker) {
		return this.http.get(`/api/stocks?ticker=${ticker}`);
	}

	getSearch() {
		console.log(this.searchService);
	}
}
